Skip to main content
GET
/
v2
/
chats
/
{id}
/
cells
/
{cellId}
Get Chat Cell
curl --request GET \
  --url https://app.textql.com/v2/chats/{id}/cells/{cellId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.textql.com/v2/chats/{id}/cells/{cellId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.textql.com/v2/chats/{id}/cells/{cellId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "error": "<string>",
  "content": "<string>",
  "code": "<string>",
  "query": "<string>",
  "connector_id": 123,
  "output": [
    "<string>"
  ],
  "dataframe_preview": "<string>",
  "execution_time_ms": 123,
  "tool_name": "<string>",
  "assets": [
    {
      "name": "<string>",
      "type": "<string>",
      "url": "<string>",
      "content": "<string>",
      "cell_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"error": {
"code": "invalid_request",
"message": "Invalid request body"
}
}
{
"error": {
"code": "unauthenticated",
"message": "Authentication required"
}
}
{
"error": {
"code": "permission_denied",
"message": "Insufficient permissions"
}
}
{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded"
}
}
{
"error": {
"code": "internal",
"message": "Internal server error"
}
}

Authorizations

Authorization
string
header
required

API key or JWT token

Path Parameters

id
string<uuid>
required

Chat ID

cellId
string<uuid>
required

Cell ID

Response

Chat cell

id
string<uuid>

Cell ID

type
string

Cell type (e.g. markdown, python, sql, tableau_sql, metrics, ontology_query, javascript, bash, mcp_tool, preview, web_search)

status
enum<string>
Available options:
completed,
running,
pending,
halted,
failed,
unknown
created_at
string<date-time>
error
string

Execution error, when the step failed

role
enum<string>

Message author (markdown cells only)

Available options:
user,
assistant
content
string

Markdown content (markdown cells only)

code
string

Executed code (python, javascript, and bash cells)

query
string

Executed query (sql, tableau_sql, metrics, and ontology_query cells)

connector_id
integer<int32>

Connector the query ran against (sql and ontology_query cells)

output
string[]

Captured stdout/stderr (python, javascript, and bash cells)

dataframe_preview
string

Markdown preview of the result set (query and python cells)

execution_time_ms
integer<int64>
tool_name
string

MCP tool invoked, as server/tool (mcp_tool cells only)

assets
object[]

Assets this cell produced